
var   gcx  = 0.75; 
var   gcy  = 0.50;
var theta  = 0.0;
var rotdel = 1.0/360.0;

function drawIt() {
	clearIt();
	drawPacman(gcx, gcy, theta);
	theta = theta + (rotdel * 2.0 * Math.PI);
	setTimeout(drawIt, 100);
}

/* Rather brute force, but also rather robust, clear 
 * the whole drawing canvas by temporarily going back
 * to identity transform and asking again for current
 * width and height.
 */
function clearIt() {
	cntxt.save();
	cntxt.setTransform(1, 0, 0, 1, 0, 0);
	cntxt.clearRect(0, 0, dboard.width, dboard.height);
	cntxt.restore();	
}

function drawPacman(cx, cy, theta) {
	cntxt.save();
	cntxt.transform(1.0, 0.0, 0.0, 1.0, cx, cy);
	cntxt.rotate(theta * 2.0 * Math.PI);
	cntxt.fillStyle = "Yellow";
	cntxt.beginPath();
	cntxt.arc(0.0, 0.0, 0.25, 0.25 * Math.PI, 1.25 * Math.PI, false);
	cntxt.fill();
	cntxt.beginPath();
	cntxt.arc(0.0, 0.0, 0.25, 0.75 * Math.PI, 1.75 * Math.PI, false);
	cntxt.fill();
	cntxt.beginPath();
	cntxt.fillStyle = "Black";
	cntxt.arc(0.0, 0.125, 0.025, 0.00 * Math.PI, 2.00 * Math.PI, false);
	cntxt.fill();
	cntxt.restore();
}

function init() {
	dboard = document.getElementById("dboard");
	cntxt  = dboard.getContext('2d');
	w = dboard.width;
	h = dboard.height;
	cntxt.setTransform(h, 0.0, 0.0, -h, 0.0, h);
	cntxt.lineWidth=0.01;
	dboard.addEventListener('click', function() { theta = 0.0; }, false);
	drawIt();
}